#include <iostream>

using namespace std;

int main()
{
    string t;
    string s;
    int br;
    
    bool sviSuA = true;
    
    cin >> t;
    cin >> s;
    
    for(int i = 0; i < s.length(); i++)
    {
        if(s[i] != 'a')
        {
            sviSuA = false;
        }
    }
    
    if(s == "a")
    {
        br = 0;
        for(long i = 0; i < t.length(); i++)
        {
            if(t[i] == 'a')
            {
                t[i] = '*';
                br++;
            }
        }
        
        cout << br << endl;
        cout << t << endl;
    }
    else if(sviSuA == true)
    {
        int brNepromenjenih = s.length() - 1;
        br = 0;
        for(long i = 0; i < t.length(); i++)
        {
            if(t[i] == 'a')
            {
                if(brNepromenjenih == 0)
                {
                    t[i] = '*';
                    br++;
                }
                else
                {
                    brNepromenjenih--;
                }
            }
        }
        cout << br << endl;
        cout << t << endl;
    }
    else if(s == "ab")
    {
        br = 0;
        int prvoA = 0;
        int poslednjeB = 0;
        int brA = 0;
        int banka = 0;
        int brB = 0;
        bool nasaoA = false;
        for(long i = 0; i < t.length(); i++)
        {
            if(t[i] == 'a')
            {
                if(nasaoA == false)
                {
                    prvoA = i;
                    nasaoA = true;
                }
                
                banka++;
            }
            
            if(t[i] == 'b')
            {
                if(nasaoA == true)
                {
                    poslednjeB = i;
                    brB++;
                    brA = banka;
                    banka = 0;
                }
            }
        }
        
        for(int i = prvoA; i <= poslednjeB; i++)
        {
            if((t[i] == 'a') && (brA <= brB))
            {
                t[i] = '*';
                br++;
            }
            
            if((t[i] == 'b') && (brA > brB))
            {
                t[i] = '*';
                br++;
            }
        }
        
        cout << br << endl;
        cout << t << endl;
    }
    else if(s == "abc")
    {
        br = 0;
        int prvoA = 0;
        int prvoB = 0;
        int poslednjeB = 0;
        int poslednjeC = 0;
        int brA = 0;
        int bankaA = 0;
        int bankaB = 0;
        int brB = 0;
        int brC = 0;
        bool nasaoA = false;
        bool nasaoB = false;
        for(long i = 0; i < t.length(); i++)
        {
            if(t[i] == 'a')
            {
                if(nasaoA == false)
                {
                    prvoA = i;
                    nasaoA = true;
                }
                
                bankaA++;
            }
            
            if(t[i] == 'b')
            {
                if((nasaoB == false) && (nasaoA == true))
                {
                    prvoB = i;
                    nasaoB = true;                
                    brA = bankaA;
                    bankaA = 0;
                }
                
                poslednjeB = i;
                bankaB++;
            }
            
            if(t[i] == 'c')
            {
                if((nasaoA == true) && (nasaoB == true))
                poslednjeC = i;
                brC++;
                brB = bankaB;
                bankaB = 0;
            }
        }
        
        int min = brA;
        if(brB < min)
        {
            min = brB;
        }
        if(brC < min)
        {
            min = brC;
        }
        
        bool menjanoA = false;
        bool menjanoB = false;
        for(int i = prvoA; i <= prvoB; i++)
        {
            if((t[i] == 'a') && (brA == min))
            {
                t[i] = '*';
                br++;
                menjanoA = true;
            }
        }
        for(int i = prvoB; i <= poslednjeC; i++)
        {
            if((t[i] == 'b') && (brB == min) && (menjanoA == false))
            {
                t[i] = '*';
                br++;
                menjanoB = true;
            }
            if((t[i] == 'c') && (brC == min) && (menjanoB == false))
            {
                t[i] = '*';
                br++;
            }
        }
        
        cout << br << endl;
        cout << t << endl;
    }
    else
    {
        br = 0;
        int brSlova[10] = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
        
        for(int i = 0; i < t.length(); i++)
        {
            if(t[i] == s[0])
            {
                brSlova[0]++;
            }
            if(t[i] == s[1])
            {
                brSlova[1]++;
            }
            if(t[i] == s[2])
            {
                brSlova[2]++;
            }
            if(t[i] == s[3])
            {
                brSlova[3]++;
            }
            if(t[i] == s[4])
            {
                brSlova[4]++;
            }
            if(t[i] == s[5])
            {
                brSlova[5]++;
            }
            if(t[i] == s[6])
            {
                brSlova[6]++;
            }
            if(t[i] == s[7])
            {
                brSlova[7]++;
            }
            if(t[i] == s[8])
            {
                brSlova[8]++;
            }
            if(t[i] == s[9])
            {
                brSlova[9]++;
            }
        }
        char endMe = s[0];
        int pls = brSlova[0];
        for(int i = 1; i < s.length(); i++)
        {
            if(brSlova[i] < pls)
            {
                pls = brSlova[i];
                endMe = s[i];
            }
        }
        
        for(long i = 0; i < t.length(); i++)
        {
            if(t[i] == endMe)
            {
                t[i] = '*';
                br++;
            }
        }
        
        cout << br << endl;
        cout << t << endl;
    }
    
    return 0;
}